package fitconnect.api.auth;

/**
 * Stores the authentication-token after the user has been authenticated
 */

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class OAuthToken {
    @JsonProperty("access_token")
    String accessToken;
    @JsonProperty("scope")
    String scope;
    @JsonProperty("token_type")
    String tokenType;
    @JsonProperty("error")
    String error;
    @JsonProperty("error_description")
    String errorDescription;
    @JsonProperty("expires_in")
    Integer expiresIn;
}
